1.0

1.0

get /v1/aimlops-platform

Description

Get List of AI&MLOps Platform.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 20
any of [integer, null]20
querypage
optional
Page
Example : 0
any of [integer, null]0
querysort
optional
Sort
Example : created_dt:asc
stringcreated_dt:desc
querycreated_by
optional
Created By
Example : 10a599e031e749b7b260868f441e862b
string
queryrelease_name
optional
Release Name
Example : aiml-test
string
querycluster_name
optional
Cluster Name
Example : cluster-test
string
queryversion
optional
Version
Example : v1.7.1
string
querykubeflow_type
optional
Kubeflow Type
Example : Mini
string
querystatus
optional
Service State
Example : DEPLOYED
string

Responses

HTTP CodeDescriptionSchema
200OKAiMlOpsPlatformsListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cluster_id": "10a599e031e749b7b260868f441e862b",
            "cluster_name": "cluster-test",
            "created_by": "10a599e031e749b7b260868f441e862b",
            "created_dt": "2024-05-17T00:23:17Z",
            "kubeflow_type": "Enterprise",
            "modified_by": "10a599e031e749b7b260868f441e862b",
            "modified_dt": "2024-05-17T00:23:17Z",
            "release_id": "10a599e031e749b7b260868f441e862b",
            "release_name": "aiml-test",
            "status": "DEPLOYED",
            "version": "v1.7.1"
        }
    ],
    "total_count": 10
}